<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            ALTER TABLE quality_validations
            ADD COLUMN line_id BIGINT NOT NULL,
            ADD CONSTRAINT quality_validations_line_id_fkey
            FOREIGN KEY (line_id) REFERENCES lines(id);
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('quality_validations', function (Blueprint $table) {
        //     //
        // });
    }
};
